# Administration Reference

## package apropos

Purpose

Displays each help entry containing a keyword string

Synopsis

    package apropos [-topic <help string>]  [-help]

    package a [-t <help string>]  [-h]

Description

The package apropos command displays the first line of the online help entry for any package command that has in its name or short description the string specified by the -topic argument.

To display the syntax for a command, use the package help command.

Options

-topic
  Specifies the keyword string to match, in lowercase letters only. If the string is more than a single word, surround it with double quotes ("") or other delimiters.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The first line of a command's online help entry names it and briefly describes its function. This command displays the first line for any package command where the string specified with the -topic argument is part of the command name or first line.

Examples

The following command lists all package commands that include the word help in their names or short descriptions:

       % package apropos help
       apropos: search by help text
       help: get help on commands

Privilege Required

None

Related Information

package

package help

© IBM Corporation 2000. All Rights Reserved